| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
CurrentProgramRuntimeExternalParseContextHelper Class Reference

allows for the parse lock for the current program to be acquired by binary modules More...

`#include <QoreProgram.h>`

## Public Member Functions
DLLEXPORT | CurrentProgramRuntimeExternalParseContextHelper ()
| acquires the parse lock; if already acquired by another thread, then this call blocks until the lock can be acquired
DLLEXPORT | ~CurrentProgramRuntimeExternalParseContextHelper ()
| releases the parse lock for the current program
DLLEXPORT | operator bool () const
| returns true if the object is valid (lock acquired), false if not (program already deleted)

## Detailed Description

allows for the parse lock for the current program to be acquired by binary modules

Since
  Qore 0.8.13

The documentation for this class was generated from the following file:

- include/qore/QoreProgram.h